#!/usr/bin/perl
use strict;
use warnings;
use Dir::Self;
use IO::File;

# Use the magic __DIR__ symbol to locate
# where we are, and hence where our perl
# modules can be found.
use lib __DIR__;

#
# A general purpose Second Factor Authentication scheme, known
# as 2FA, but I can't use that as a module name.
# So I will use a module name/namepace of Sfa but
# use the acronym of SFA when commenting on it.

# This is the module entry point, this will load up
# all the provider SFA methods as required.
use Sfa;

# I always like to have a 'main' entry function.
sub main
{
    my($sfa) = Sfa->new(qw(Sfa::Duo));
    if ($sfa->iserror()) {
        $sfa->reportandquit();
    }

    $sfa->processargs(__FILE__, @ARGV);
    if ($sfa->iserror()) {
        $sfa->reportandquit();
    }

    $sfa->process();
    $sfa->reportandquit();
}

main();
exit(1);
